summaryrefslogtreecommitdiff
path: root/libaio-0.3.109/harness/runtests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'libaio-0.3.109/harness/runtests.sh')
-rwxr-xr-xlibaio-0.3.109/harness/runtests.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/libaio-0.3.109/harness/runtests.sh b/libaio-0.3.109/harness/runtests.sh
new file mode 100755
index 0000000..717c72a
--- /dev/null
+++ b/libaio-0.3.109/harness/runtests.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+passes=0
+fails=0
+
+echo "Test run starting at" `date`
+
+while [ $# -ge 1 ] ; do
+ this_test=$1
+ shift
+ echo "Starting $this_test"
+ $this_test 2>&1
+ res=$?
+ if [ $res -eq 0 ] ; then str="" ; passes=$[passes + 1] ; else str=" -- FAILED" ; fails=$[fails + 1] ; fi
+ echo "Completed $this_test with $res$str".
+done
+
+echo "Pass: $passes Fail: $fails"
+echo "Test run complete at" `date`